Create knowledge website ingest job
POST
/v1/ai/agents/{agentID}/knowledge/ingest-jobsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
agentIDstringrequiredRequest body
requiredapplication/jsonexclude_prefixesstring[] | nullmax_pagesinteger<int64>modestringseed_urlstringrequiredsource_idstringtitlestringurlsstring[] | nullResponses
200OK
agent_idstringrequiredcreated_atstringrequirederrorstringidstringrequiredmax_pagesinteger<int64>requiredmetadataobjectmodestringrequiredorganization_idstringpages_doneinteger<int64>requiredpages_failedinteger<int64>requiredpages_totalinteger<int64>requiredseed_urlstringrequiredsource_idstringstatusstringrequiredupdated_atstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/ai/agents/string/knowledge/ingest-jobs" \
-H "Content-Type: application/json" \
-d '{
"exclude_prefixes": [
"string"
],
"max_pages": 0,
"mode": "string",
"seed_url": "string",
"source_id": "string",
"title": "string",
"urls": [
"string"
]
}'const response = await fetch("/v1/ai/agents/string/knowledge/ingest-jobs", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"exclude_prefixes": [
"string"
],
"max_pages": 0,
"mode": "string",
"seed_url": "string",
"source_id": "string",
"title": "string",
"urls": [
"string"
]
})
});import requests
response = requests.post(
"/v1/ai/agents/string/knowledge/ingest-jobs",
headers={
"Content-Type": "application/json"
},
json={
"exclude_prefixes": [
"string"
],
"max_pages": 0,
"mode": "string",
"seed_url": "string",
"source_id": "string",
"title": "string",
"urls": [
"string"
]
},
)Response
{
"agent_id": "string",
"created_at": "string",
"error": "string",
"id": "string",
"max_pages": 0,
"metadata": {},
"mode": "string",
"organization_id": "string",
"pages_done": 0,
"pages_failed": 0,
"pages_total": 0,
"seed_url": "string",
"source_id": "string",
"status": "string",
"updated_at": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}